Deactivate Card Definition
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/card-definitions/{id}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "INDIVIDUAL",
"code_config": {
"pattern": "<string>",
"length": 123,
"charset": "<string>",
"prefix": "<string>",
"postfix": "<string>"
},
"points_expiration": {
"rolling_expiration": {
"period": {
"value": 2
},
"rounding": {
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 2
}
}
},
"pending_points": {
"period_based": {
"period": {
"value": 2
}
},
"fixed_dates": {
"dates": [
{
"day": 16,
"month": 6
}
]
},
"event_based": {
"event_types": [
"<string>"
],
"cancel_period": {
"value": 2
}
}
},
"earning_limits": {
"global": {
"limits": [
{
"max": 2,
"period": {
"type": "CURRENT_PERIOD",
"current_period": {}
},
"points": {
"max": 1073741824
}
}
]
},
"transactions": {
"limits": [
{
"max": 2,
"min_amount": 2
}
]
}
},
"spending_limits": {
"global": {
"limits": [
{
"max": 2,
"period": {
"type": "CURRENT_PERIOD",
"current_period": {}
},
"points": {
"max": 1073741824
}
}
]
},
"transactions": {
"limits": [
{
"type": "POINTS",
"max": 2
}
]
}
},
"refunds": {
"spent_points": {
"methods": [
{
"type": "RETURN_POINTS"
}
]
},
"earned_points": {
"methods": [
{}
]
}
},
"balance_settings": {
"allow_negative": true
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Deactivate Card Definition
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Transitions the card definition to INACTIVE status.
Allowed transitions: ACTIVE -> INACTIVE.
POST
/
v2
/
loyalties
/
card-definitions
/
{id}
/
deactivate
Deactivate Card Definition
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/card-definitions/{id}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "INDIVIDUAL",
"code_config": {
"pattern": "<string>",
"length": 123,
"charset": "<string>",
"prefix": "<string>",
"postfix": "<string>"
},
"points_expiration": {
"rolling_expiration": {
"period": {
"value": 2
},
"rounding": {
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 2
}
}
},
"pending_points": {
"period_based": {
"period": {
"value": 2
}
},
"fixed_dates": {
"dates": [
{
"day": 16,
"month": 6
}
]
},
"event_based": {
"event_types": [
"<string>"
],
"cancel_period": {
"value": 2
}
}
},
"earning_limits": {
"global": {
"limits": [
{
"max": 2,
"period": {
"type": "CURRENT_PERIOD",
"current_period": {}
},
"points": {
"max": 1073741824
}
}
]
},
"transactions": {
"limits": [
{
"max": 2,
"min_amount": 2
}
]
}
},
"spending_limits": {
"global": {
"limits": [
{
"max": 2,
"period": {
"type": "CURRENT_PERIOD",
"current_period": {}
},
"points": {
"max": 1073741824
}
}
]
},
"transactions": {
"limits": [
{
"type": "POINTS",
"max": 2
}
]
}
},
"refunds": {
"spent_points": {
"methods": [
{
"type": "RETURN_POINTS"
}
]
},
"earned_points": {
"methods": [
{}
]
}
},
"balance_settings": {
"allow_negative": true
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique card definition identifier.
Response
Deactivated card definition
Full card definition DTO returned by all CRUD endpoints.
Available options:
INDIVIDUAL Available options:
DRAFT, ACTIVE, INACTIVE, DELETED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"card_definition"Last modified on May 18, 2026
Was this page helpful?
⌘I